unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, FileCtrl;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Edit1: TEdit;
    Label1: TLabel;
    Button1: TButton;
    Panel2: TPanel;
    Button2: TButton;
    Button3: TButton;
    FileListBox1: TFileListBox;
    Image1: TImage;
    Button4: TButton;
    Image2: TImage;
    Button5: TButton;
    Button6: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure FileListBox1Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormDestroy(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses jpeg;

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
 FileListBox1.Directory:=trim(Edit1.text);
 FileListBox1.Mask:='*.jpg';
 FileListBox1.ItemIndex:=0;
 Image1.Picture.LoadFromFile(FileListBox1.FileName);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
 if FileListBox1.ItemIndex <> FileListBox1.Items.Count -1 then
  FileListBox1.ItemIndex:=FileListBox1.ItemIndex + 1;
 Image1.Picture.LoadFromFile(FileListBox1.FileName);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 if FileListBox1.ItemIndex <> 0 then
  FileListBox1.ItemIndex:=FileListBox1.ItemIndex - 1;
 Image1.Picture.LoadFromFile(FileListBox1.FileName);
end;

procedure TForm1.FileListBox1Click(Sender: TObject);
begin
 Image1.Picture.LoadFromFile(FileListBox1.FileName);
end;

procedure TForm1.Button4Click(Sender: TObject);
var
 Jpg: TJPEGImage;
 Jpg1: TJPEGImage;
 Bmp: TBitMap;
 Bmp1,Bmp2: TBitMap;
 i,x,y:Integer;
 Height1,Wight1:Integer;
 FileName1:String;
 FileName2:String;
 R1,G1,B1:Integer;
begin
 FileName2:='~!@#$%^&-+';
 Jpg := TJPEGImage.Create;
 Jpg1 := TJPEGImage.Create;
 Jpg.PixelFormat:=jf24Bit;
 Jpg1.PixelFormat:=jf24Bit;
 Bmp := TBitMap.Create;
 Bmp1 := TBitMap.Create;
 Bmp2 := TBitMap.Create;
 Bmp.PixelFormat:=pf24Bit;
 Bmp1.PixelFormat:=pf24Bit;
 Bmp2.PixelFormat:=pf24Bit;
 Jpg.LoadFromFile(FileListBox1.FileName);
 Bmp.Assign(Jpg);
 Bmp1.Assign(Jpg);
 Bmp2.Assign(Jpg);
 FileName1:=FileListBox1.Items[FileListBox1.ItemIndex];
 FileName1:=Copy(FileName1,1,Length(FileName1)-3);
//
 for i:=0 to 9 do
  begin
   Bmp1.FreeImage;
   For x:=0 to Bmp.Width  do
    For y:=0 to Bmp.Height  do
     begin
       if y mod 10 = i then
        Bmp1.Canvas.Pixels[x,y]:=Bmp.Canvas.Pixels[x,y]
       else
        Bmp1.Canvas.Pixels[x,y]:=RGB(255,255,255);
        //Bmp1.Canvas.Pixels[x,y]:=Bmp2.Canvas.Pixels[x,y];
     end;
   Jpg1.Assign(Bmp1);
   Jpg1.SaveToFile(Edit1.Text+'\bmp\'+FileName1+FileName2[i+1]+FileName2[i+1]+FileName2[i+1]);
  end;
{        begin
         Randomize;
         R1:=Random(254);
         G1:=Random(254);
         B1:=Random(254);
         Bmp1.Canvas.Pixels[x,y]:=RGB(R1,G1,B1);
        end;}

 Jpg.Free;
 Jpg1.Free;
 Bmp.FreeImage;
 Bmp1.FreeImage;
 Bmp2.FreeImage;
end;

procedure TForm1.Button5Click(Sender: TObject);
var
 Jpg0,Jpg1,Jpg2,Jpg3,Jpg4,Jpg5,Jpg6,Jpg7,Jpg8,Jpg9: TJPEGImage;
 Bmp: TBitMap;
 Bmp0,Bmp1,Bmp2,Bmp3,Bmp4,Bmp5,Bmp6,Bmp7,Bmp8,Bmp9: TBitMap;
 x,y:Integer;
 Height1,Wight1:Integer;
 FileName1:String;
begin
 FileName1:=FileListBox1.Items[FileListBox1.ItemIndex];
 FileName1:=Copy(FileName1,1,Length(FileName1)-3);

 Jpg0 := TJPEGImage.Create;
 Jpg1 := TJPEGImage.Create;
 Jpg2 := TJPEGImage.Create;
 Jpg3 := TJPEGImage.Create;
 Jpg4 := TJPEGImage.Create;
 Jpg5 := TJPEGImage.Create;
 Jpg6 := TJPEGImage.Create;
 Jpg7 := TJPEGImage.Create;
 Jpg8 := TJPEGImage.Create;
 Jpg9 := TJPEGImage.Create;

 Jpg0.PixelFormat:=jf24Bit;
 Jpg1.PixelFormat:=jf24Bit;
 Jpg2.PixelFormat:=jf24Bit;
 Jpg3.PixelFormat:=jf24Bit;
 Jpg4.PixelFormat:=jf24Bit;
 Jpg5.PixelFormat:=jf24Bit;
 Jpg6.PixelFormat:=jf24Bit;
 Jpg7.PixelFormat:=jf24Bit;
 Jpg8.PixelFormat:=jf24Bit;
 Jpg9.PixelFormat:=jf24Bit;

 Bmp  := TBitMap.Create;
 Bmp0 := TBitMap.Create;
 Bmp1 := TBitMap.Create;
 Bmp2 := TBitMap.Create;
 Bmp3 := TBitMap.Create;
 Bmp4 := TBitMap.Create;
 Bmp5 := TBitMap.Create;
 Bmp6 := TBitMap.Create;
 Bmp7 := TBitMap.Create;
 Bmp8 := TBitMap.Create;
 Bmp9 := TBitMap.Create;

 Bmp.PixelFormat:=pf24Bit;
 Bmp0.PixelFormat:=pf24Bit;
 Bmp1.PixelFormat:=pf24Bit;
 Bmp2.PixelFormat:=pf24Bit;
 Bmp3.PixelFormat:=pf24Bit;
 Bmp4.PixelFormat:=pf24Bit;
 Bmp5.PixelFormat:=pf24Bit;
 Bmp6.PixelFormat:=pf24Bit;
 Bmp7.PixelFormat:=pf24Bit;
 Bmp8.PixelFormat:=pf24Bit;
 Bmp9.PixelFormat:=pf24Bit;

 Jpg0.LoadFromFile('e:\show_bmp\bmp\bmp\'+FileName1+'~~~');
 Jpg1.LoadFromFile('e:\show_bmp\bmp\bmp\'+FileName1+'!!!');
 Jpg2.LoadFromFile('e:\show_bmp\bmp\bmp\'+FileName1+'@@@');
 Jpg3.LoadFromFile('e:\show_bmp\bmp\bmp\'+FileName1+'###');
 Jpg4.LoadFromFile('e:\show_bmp\bmp\bmp\'+FileName1+'$$$');
 Jpg5.LoadFromFile('e:\show_bmp\bmp\bmp\'+FileName1+'%%%');
 Jpg6.LoadFromFile('e:\show_bmp\bmp\bmp\'+FileName1+'^^^');
 Jpg7.LoadFromFile('e:\show_bmp\bmp\bmp\'+FileName1+'&&&');
 Jpg8.LoadFromFile('e:\show_bmp\bmp\bmp\'+FileName1+'---');
 Jpg9.LoadFromFile('e:\show_bmp\bmp\bmp\'+FileName1+'+++');

 Bmp.Assign(Jpg0);
 Bmp0.Assign(Jpg0);
 Bmp1.Assign(Jpg1);
 Bmp2.Assign(Jpg2);
 Bmp3.Assign(Jpg3);
 Bmp4.Assign(Jpg4);
 Bmp5.Assign(Jpg5);
 Bmp6.Assign(Jpg6);
 Bmp7.Assign(Jpg7);
 Bmp8.Assign(Jpg8);
 Bmp9.Assign(Jpg9);

{
 Bmp.Width:=Bmp0.Width;
 Bmp.Height:=Bmp0.Height;}

   For x:=0 to Bmp.Width  do
    For y:=0 to Bmp.Height do
     begin
       if y mod 10 = 0 then
        Bmp.Canvas.Pixels[x,y]:=Bmp0.Canvas.Pixels[x,y]
        else if y mod 10 = 1 then
         Bmp.Canvas.Pixels[x,y]:=Bmp1.Canvas.Pixels[x,y]
         else if y mod 10 = 2 then
          Bmp.Canvas.Pixels[x,y]:=Bmp2.Canvas.Pixels[x,y]
          else if y mod 10 = 3 then
           Bmp.Canvas.Pixels[x,y]:=Bmp3.Canvas.Pixels[x,y]
           else if y mod 10 = 4 then
            Bmp.Canvas.Pixels[x,y]:=Bmp4.Canvas.Pixels[x,y]
            else if y mod 10 = 5 then
             Bmp.Canvas.Pixels[x,y]:=Bmp5.Canvas.Pixels[x,y]
             else if y mod 10 = 6 then
              Bmp.Canvas.Pixels[x,y]:=Bmp6.Canvas.Pixels[x,y]
              else if y mod 10 = 7 then
               Bmp.Canvas.Pixels[x,y]:=Bmp7.Canvas.Pixels[x,y]
               else if y mod 10 = 8 then
                Bmp.Canvas.Pixels[x,y]:=Bmp8.Canvas.Pixels[x,y]
                else if y mod 10 = 9 then
                  Bmp.Canvas.Pixels[x,y]:=Bmp9.Canvas.Pixels[x,y];
     end;
 Image2.Picture.Assign(Bmp);

 Bmp0.FreeImage;
 Bmp1.FreeImage;
 Bmp2.FreeImage;
 Bmp3.FreeImage;
 Bmp4.FreeImage;
 Bmp5.FreeImage;
 Bmp6.FreeImage;
 Bmp7.FreeImage;
 Bmp8.FreeImage;
 Bmp9.FreeImage;
 Bmp.FreeImage;
 Jpg0.Free;
 Jpg1.Free;
 Jpg2.Free;
 Jpg3.Free;
 Jpg4.Free;
 Jpg5.Free;
 Jpg6.Free;
 Jpg7.Free;
 Jpg8.Free;
 Jpg9.Free;
end;

procedure TForm1.Button6Click(Sender: TObject);
Var Temp:integer;
begin
 //NLѰw
 //SystemParametersInfo(spi_screensaverrunning,0,@temp,0);
 Close;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 Action:=caFree;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
 Form1:= Nil;
end;

procedure TForm1.FormActivate(Sender: TObject);
Var temp:integer;
begin
 //NLw
 //SystemParametersInfo(Spi_screensaverrunning,1,@temp,0);
end;

end.




